Cannot resolve symbol "AUTOMOTIVE_SERVICE"

Added by Håkan Burden over 3 years ago

Hi,

I'm trying to develop an app that receives AGA signals sent through an SDP-node.
I have made sure that the app uses the aga sdk and made sure that the jar files are implemented by looking in the file build.grade in Android Studio:
dependencies {
    compile 'com.android.support:support-v4:19.1.0'
    compile files('libs/Automotive-API-1.1.jar')
    compile files('libs/SDP-1.1.jar')
    compile files('libs/VIL-1.1.jar')
    compile files('libs/slf4j-simple-1.7.7.jar')
    compile files('libs/slf4j-api-1.7.7.jar')
}

But I get an error that says Cannot resolve symbol "AUTOMOTIVE_SERVICE" when I'm trying to run the code in the screenshot provided below.


Thanks in advance!

Replies (1)

RE: Cannot resolve symbol "AUTOMOTIVE_SERVICE" - Added by Christopher Pavlic over 3 years ago

Hello Håkan!

The error seems to indicate that this projects SDK is not an AGA SDK or that you downloaded another API level of your AGA SDK. In the first case please download our SDK frm here https://developer.lindholmen.se/repo/SDK/.  In the second case I am afraid you will have to once again download the AGA SDK from this location https://developer.lindholmen.se/repo/SDK/. The only thing in the AGA SDK that you are allowed to update is the tools and the extras (top group and bottom group). Anything else will break the AGA SDK.

It seems to me that you are using the jar files to make a JAR version of an AGA app. If this is the case take a look at this forum post https://developer.lindholmen.se/redmine/boards/1/topics/58 near the bottom to create an automotive service. Also you do not need the .jar files if you have the AGA SDK correctly installed as the SDP, VIL and Automotive-API can all be located within the AGA SDK. If you are trying to create a ROM version of an app you do not need the jar file dependencies that you have linked in your picture.

Best Regards
The AGA Team

(1-1/1)